+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 12
  1. #1
    Full Member isutheparambil's Avatar
    Discipline
    Electrical
    isutheparambil's Discipline Details
    Occupation
    Designer/Draftsman-Electrical / CAD Coordinator
    Discipline
    Electrical
    Details
    A qualified Electrical CAD Designer Draughtsman with a solid experience in Electrical CAD designing and drafting of Multi-storied building, Shopping complex, Palace, Mosque, Luxury Villas etc. with the design department of multinational companies for the various types of electrical design.
    Using
    AutoCAD 2014
    Join Date
    Jul 2013
    Location
    United Arab Emirates
    Posts
    60

    Smile Arrange multiple layouts in to one folder

    Registered forum members do not see this ad.

    Hi..

    I am searching for a solution for arranging multiple layouts in to diferent folder views.

    I have 20 layouts in a drawing.
    but I don't need to see all at a time.
    i need to divide that 20 layouts in to 4 parts.
    each parts need to contain 5 drawings each.
    so I can find the required layouts easily.
    otherwise i need to scroll all layouts to search.

    If someone can help in this regards, it will very helpful for me.

    Have a GOOD DAY..

  2. #2
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    A couple of suggestions you can use Ctrl+Pgdn to go to next layout Ctrl+Pdup to go to previous or you can use my "goto" it will jump to any layout you want. Tested on 88 layouts.

    Code:
    ; GOTO layout just like other goto a page
    ; By Alan H 2013
    ; menu command [GOTO]^c^C^p(load "goto")
    ; enter a big number like 99 to jump to last if 100+ layouts then 123 etc
    ; Model space is 0 zero GOTO 0
    
    (defun C:goto ( / x alllayouts laynum num)
    
    (setq num (getint "\nEnter tab number"))
    (setq alllayouts (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object))))
    (SETQ LAYNUM 0)
    (vlax-for x alllayouts
    (Setq laynum (+ 1 laynum))
    ) ;total number of layouts
    
    (if (> num laynum)
    (setq num (- laynum 1))
    )
    (vlax-for lay alllayouts
    (if (= num (vla-get-taborder lay))
      (setvar "ctab" (vla-get-name lay))
    ) ; if
    ) ; for
    ) ; defun 
    
    ; I often type it wrong so added this one also
    (defun C:goot ()
    (c:goto)
    ) ; defun
    A man who never made mistakes never made anything

  3. #3
    Full Member isutheparambil's Avatar
    Discipline
    Electrical
    isutheparambil's Discipline Details
    Occupation
    Designer/Draftsman-Electrical / CAD Coordinator
    Discipline
    Electrical
    Details
    A qualified Electrical CAD Designer Draughtsman with a solid experience in Electrical CAD designing and drafting of Multi-storied building, Shopping complex, Palace, Mosque, Luxury Villas etc. with the design department of multinational companies for the various types of electrical design.
    Using
    AutoCAD 2014
    Join Date
    Jul 2013
    Location
    United Arab Emirates
    Posts
    60

    Default

    Hi BIGAL,

    That is good one,
    but the layouts all i cant remember that is in which number.
    So for this case the layouts are with different name. That's why I cant say which layout i need by a number.

    Any way, I hope my requirement is not an impossible one,
    because I saw that one of my old colleague he done such a way.
    and unfortunately he is not available here.

    I hope you can understand my actual requirement.
    Otherwise please let me know as I can explain with more details.

    Thanks BIGAL....

  4. #4
    Senior Member
    Using
    AutoCAD 2009
    Join Date
    Oct 2012
    Posts
    293

    Default

    Make 5 frames of drawings in one layout.

  5. #5
    Full Member isutheparambil's Avatar
    Discipline
    Electrical
    isutheparambil's Discipline Details
    Occupation
    Designer/Draftsman-Electrical / CAD Coordinator
    Discipline
    Electrical
    Details
    A qualified Electrical CAD Designer Draughtsman with a solid experience in Electrical CAD designing and drafting of Multi-storied building, Shopping complex, Palace, Mosque, Luxury Villas etc. with the design department of multinational companies for the various types of electrical design.
    Using
    AutoCAD 2014
    Join Date
    Jul 2013
    Location
    United Arab Emirates
    Posts
    60

    Default

    Quote Originally Posted by maratovich View Post
    Make 5 frames of drawings in one layout.
    Hi,

    That way is difficult to publish the drawings.
    I am looking to create multiple groups of layouts..

    Thanks for your guideline MARATOVICH...

  6. #6
    Senior Member
    Using
    AutoCAD 2009
    Join Date
    Oct 2012
    Posts
    293

    Default

    Quote Originally Posted by isutheparambil View Post
    That way is difficult to publish the drawings.
    Thanks for your guideline MARATOVICH...
    This is not a problem.
    There are programs that print a lot of frames from one model or from one layout.

  7. #7
    Full Member isutheparambil's Avatar
    Discipline
    Electrical
    isutheparambil's Discipline Details
    Occupation
    Designer/Draftsman-Electrical / CAD Coordinator
    Discipline
    Electrical
    Details
    A qualified Electrical CAD Designer Draughtsman with a solid experience in Electrical CAD designing and drafting of Multi-storied building, Shopping complex, Palace, Mosque, Luxury Villas etc. with the design department of multinational companies for the various types of electrical design.
    Using
    AutoCAD 2014
    Join Date
    Jul 2013
    Location
    United Arab Emirates
    Posts
    60

    Default

    Quote Originally Posted by maratovich View Post
    This is not a problem.
    There are programs that print a lot of frames from one model or from one layout.
    But I need such a way that i mention before.
    That will helps ease of my work.

  8. #8
    Super Member CyberAngel's Avatar
    Computer Details
    CyberAngel's Computer Details
    Operating System:
    Windows 10
    Discipline
    Architectural
    CyberAngel's Discipline Details
    Occupation
    Civil Drafter
    Discipline
    Architectural
    Details
    Roofing and Waterproofing
    Using
    AutoCAD 2014
    Join Date
    Jul 2006
    Location
    Anywhere Else
    Posts
    1,130

    Default

    If the problem is the sheer number of layout tabs, can you use one drawing for your work and xref it into four separate files? Am I oversimplifying?
    breaking AutoCAD on a regular basis since 1991

  9. #9
    Forum Deity rkent's Avatar
    Computer Details
    rkent's Computer Details
    Operating System:
    WIN7 PRO 64bit
    Computer:
    Dell OptiPlex 7020
    CPU:
    i7 4790 3.6GHz
    RAM:
    16GB, 1600MHz, DDR3 non-ECC 2x8GB
    Graphics:
    AMD Radeon 2GB
    Primary Storage:
    Samsung 480Gb SSD
    Monitor:
    Dell 24" FS (2x)
    Discipline
    Mechanical
    rkent's Discipline Details
    Occupation
    Facilities Design - Semi-conductor manufacturing
    Discipline
    Mechanical
    Details
    Designer: Process Piping, P&ID's, Machine Part Design, Planning / General Arrangement. Facilities Management. Drafting: Electrical, Controls, Architectural.
    Using
    Mechanical 2017
    Join Date
    Nov 2007
    Location
    Lat:35, Long:-106, Elev: 5164'
    Posts
    4,579

    Default

    I think the Sheet Set Manager (SSM) would be ideal, bring all 20 into the SSM, sort them in the order required, etc. Easy to publish and find from now on.
    Sometimes there's a man... I won't say a hero, 'cause, what's a hero? But sometimes, there's a man. And I'm talkin' about the Dude here. Sometimes, there's a man, well, he's the man for his time and place. He fits right in there. And that's the Dude, in Los Angeles. - The Stranger, The Big Lebowski

  10. #10
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,815

    Default

    Registered forum members do not see this ad.

    In the 88 layouts Goto 2 the dwg index is there, then Goto x correct layout required not very hard to understand. Takes a couple of seconds.

    Here is a dwg index lisp for you. It does need to be changed to suit your title block.

    Code:
    ; dwg index to a table
    ; by Alan H NOV 2013
    (defun AH:dwgindex (/ doc objtable ss1 lay ans ans2 plotabs ss1 tag2 tag3 list1 list2 curlayout colwidth numcolumns numrows INC rowheight )
    (vl-load-com)
    (setq curlayout (getvar "ctab"))
    (if (= curlayout "Model")
    (progn
    (Alert "You need to be in a layout for this option")
    (exit)
    ) ; end progn
    ) ; end if model
    (setq doc (vla-get-activedocument (vlax-get-acad-object)))
    (setq curspace (vla-get-paperspace doc))
    (setq pt1 (vlax-3d-point (getpoint "\nPick point for top left hand of table:  "))) 
    ; read values from title blocks
    (setq bname "yourblockname")
    (setq tag2 "DRG_NO") ;attribute tag name
    (setq tag3 "WORKS_DESCRIPTION") ;attribute tag name
    (setq ss1 (ssget "x"  (list (cons 0 "INSERT") (cons 2 bname))))
      
    (repeat (setq INC (sslength ss1))
    (foreach att (vlax-invoke (vlax-ename->vla-object (ssname SS1 (SETQ INC (- INC 1)) )) 'getattributes) 
            (if (= tag2 (strcase (vla-get-tagstring att)))
                (progn
                (setq ans (vla-get-textstring att))
                (if (/= ans NIL)
                (setq list1 (cons ans list1))
                ) ; if 
                ); end progn
              ) ; end if
            (if (= tag3 (strcase (vla-get-tagstring att)))
              (progn
              (setq ans2 (vla-get-textstring att))
              (if (/= ans2 NIL)
                  (setq list2 (cons ans2 list2)) 
               ) ; end if
               ) ; end progn
      ) ; end if tag3 
        
    ) ; end foreach
    ) ; end repeat
    (setvar 'ctab curlayout)
    (command "Zoom" "E")
    (command "regen")
    
    (reverse list1)
    ;(reverse list2)
    ; now do table 
    (setq numrows (+ 2 (sslength ss1)))
    (setq numcolumns 2)
    (setq rowheight 0.2)
    (setq colwidth 150)
    (setq objtable (vla-addtable curspace pt1 numrows numcolumns rowheight colwidth))
    (vla-settext objtable 0 0 "DRAWING REGISTER")
    (vla-settext objtable 1 0 "DRAWING NUMBER") 
    (vla-settext objtable 1 1 "DRAWING TITLE") 
    (SETQ X 0)
    (SETQ Y 2)
    (REPEAT (sslength ss1)
      (vla-settext objtable Y 0 (NTH X LIST1))
      (vla-settext objtable Y 1 (NTH X LIST2))
      (vla-setrowheight objtable y 7)
      (SETQ X (+ X 1))
      (SETQ Y (+ Y 1))
    )
    (vla-setcolumnwidth objtable 0 55)
    (vla-setcolumnwidth objtable 1 170)
    (command "_zoom" "e")
    ); end AH defun
    (AH:dwgindex)
    (princ)
    A man who never made mistakes never made anything

Similar Threads

  1. Rename multiple layouts
    By danpp in forum AutoLISP, Visual LISP & DCL
    Replies: 9
    Last Post: 28th Jul 2016, 07:23 pm
  2. Move multiple layouts dwg to dwg
    By RRS1987 in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 7th Feb 2012, 02:58 pm
  3. Replies: 10
    Last Post: 14th Sep 2010, 10:24 am
  4. Plotting multiple layouts
    By MisterJingles in forum AutoCAD Beginners' Area
    Replies: 8
    Last Post: 24th Apr 2009, 03:52 pm
  5. Code to print all layouts in all files in a folder
    By jaconbue in forum AutoLISP, Visual LISP & DCL
    Replies: 5
    Last Post: 25th Mar 2009, 10:06 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts